package examples.teeda.web.subapp;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.seasar.teeda.extension.annotation.scope.SubapplicationScope;

public class ScopeTestPage {

	private static final Log log = LogFactory.getLog(ScopeTestPage.class);
	
	protected boolean postback;
	protected String previousViewId;
	
	
	private String data1Name;

	@SubapplicationScope
	private String data2Name;

	public String getData1Name() {
		return data1Name;
	}

	public void setData1Name(String data1Name) {
		this.data1Name = data1Name;
	}

	public String getData2Name() {
		return data2Name;
	}

	public void setData2Name(String data2Name) {
		this.data2Name = data2Name;
	}


	public Class doOtherPageTest() {
		log.debug("data1Name = " + getData1Name());
		log.debug("data2Name = " + getData2Name());
		// プロパティのない他のページに飛ぶ
		return ScopeTestResultPage.class;
	}
	
	public Class doMyPageTest() {
		log.debug("data1Name = " + getData1Name());
		log.debug("data2Name = " + getData2Name());
		// 同一のプロパティのあるページへ遷移
		return null;
	}

	public Class initialize() {

		return null;
	}

	public Class prerender() {

		return null;
	}

}
